function JS_ConvertPointTextToFrameIL(JS_pointTextArray, JS_frameWidth, JS_frameHeight) {

var JS_pointText, JS_workRect, JS_workCopy;

	for(var JS_indexI = 0; JS_indexI < JS_pointTextArray.length; JS_indexI++) {
	
		JS_pointText = JS_pointTextArray[JS_indexI];
		JS_workRect = app.activeDocument.pathItems.rectangle(JS_pointText.top, JS_pointText.left, JS_frameWidth, JS_frameHeight);
		JS_workCopy = app.activeDocument.textFrames.areaText(JS_workRect);
		
		JS_workCopy.selected = true;
		JS_pointText.textRange.duplicate(JS_workCopy);
		JS_pointText.remove();
	}
}

function JS_GetAllPointTextsIL(JS_objectsArray) {

var JS_pointTextArray = new Array;

	for(var JS_indexI = 0; JS_indexI < JS_objectsArray.length; JS_indexI++) {
	
		if ((JS_objectsArray[JS_indexI].typename == "TextFrame") && (JS_objectsArray[JS_indexI].kind == TextType.POINTTEXT))
			JS_pointTextArray.push(JS_objectsArray[JS_indexI]);
		else ;
	}
	if(JS_pointTextArray.length) return JS_pointTextArray;
	else return null;
}

function main() {

var JS_pointTextArray = new Array;

	if(app.documents.length) {
	
		JS_pointTextArray = JS_GetAllPointTextsIL(app.activeDocument.selection);
		if(JS_pointTextArray) {
		
			var JS_sizeString = prompt("Enter Width and Height of a Frame:", "50,50", "Frame PointText");
			if(JS_sizeString) {
			
				var JS_rectSize = JS_sizeString.split(",", 2);
				var JS_frameWidth = (72/25.4) * parseInt(JS_rectSize[0]);
				var JS_frameHeight = (72/25.4) * parseInt(JS_rectSize[1]);
				JS_ConvertPointTextToFrameIL(JS_pointTextArray, JS_frameWidth, JS_frameHeight);
			}
			else ;
		}
		else alert("Frame PointText" + "\n" + "There are no PointText objects in a current selection...");
	}
	else alert("Frame PointText" + "\n" + "Open document and try again...");

}

main();
